org.wildfly.swarm.infinispan

## Class InfinispanFraction

- java.lang.Object
- - java.util.AbstractMap<K,V>
  - - java.util.HashMap
    - - org.wildfly.swarm.config.Infinispan<InfinispanFraction>
      - - org.wildfly.swarm.infinispan.InfinispanFraction

- All Implemented Interfaces:
    Serializable, Cloneable, Map, Fraction<InfinispanFraction>

      public class InfinispanFraction
      extends Infinispan<InfinispanFraction>
      implements Fraction<InfinispanFraction>

  Author:
    Lance Ball, Toby Crawley
  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.wildfly.swarm.config.Infinispan

      `Infinispan.InfinispanResources`

    - ### Nested classes/interfaces inherited from class java.util.AbstractMap

      `AbstractMap.SimpleEntry<K,V>, AbstractMap.SimpleImmutableEntry<K,V>`

    - ### Nested classes/interfaces inherited from interface java.util.Map

      `Map.Entry<K,V>`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `InfinispanFraction()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `InfinispanFraction` | `applyDefaults()` Apply whatever defaults are required if this fraction was not explicitly configured by a user.
    `static InfinispanFraction` | `createDefaultFraction()`
    `boolean` | `isDefaultFraction()`

    - ### Methods inherited from class org.wildfly.swarm.config.Infinispan

      `addPropertyChangeListener, cacheContainer, cacheContainer, cacheContainer, cacheContainer, cacheContainers, getKey, removePropertyChangeListener, subresources`

    - ### Methods inherited from class java.util.HashMap

      `clear, clone, compute, computeIfAbsent, computeIfPresent, containsKey, containsValue, entrySet, forEach, get, getOrDefault, isEmpty, keySet, merge, put, putAll, putIfAbsent, remove, remove, replace, replace, replaceAll, size, values`

    - ### Methods inherited from class java.util.AbstractMap

      `equals, hashCode, toString`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.wildfly.swarm.spi.api.Fraction

      `applyDefaults`

    - ### Methods inherited from interface java.util.Map

      `equals, hashCode`

- - ### Constructor Detail

    - #### InfinispanFraction

          public InfinispanFraction()

  - ### Method Detail

    - #### applyDefaults

          public InfinispanFraction applyDefaults()

      Description copied from interface: `Fraction`
      Apply whatever defaults are required if this fraction was not explicitly configured by a user.
      Specified by:
        `applyDefaults` in interface `Fraction<InfinispanFraction>`
      Returns:
        this fraction.

    - #### createDefaultFraction

          public static InfinispanFraction createDefaultFraction()

    - #### isDefaultFraction

          public boolean isDefaultFraction()

Copyright © 2017 JBoss by Red Hat. All rights reserved.